Putting the 'role' back in role-playing games since 2002.
Donate to Codex
Good Old Games
  • Welcome to rpgcodex.net, a site dedicated to discussing computer based role-playing games in a free and open fashion. We're less strict than other forums, but please refer to the rules.

    "This message is awaiting moderator approval": All new users must pass through our moderation queue before they will be able to post normally. Until your account has "passed" your posts will only be visible to yourself (and moderators) until they are approved. Give us a week to get around to approving / deleting / ignoring your mundane opinion on crap before hassling us about it. Once you have passed the moderation period (think of it as a test), you will be able to post normally, just like all the other retards.

NWN Neverwinter Nights (NWN & NWN2) Modules Thread

Jack Of Owls

Arcane
Joined
May 23, 2014
Messages
4,326
Location
Massachusettes
I played Tortured Hearts 2...and it was good...until I hit a dead end about 80% into the module. I ran into a room of children, and needed to unlock a door to progress to the end. The key was talking to the children. Unfortunately, it required a certain skill check be met and none of my characters had a high enough level in that attribute, so the module was good as dead to me. Tortured Hearts 1 I wouldn't even attempt. I said it once, I'll say it again - any 100+ hour module designed by one man with multiple questlines is a big no no for me. Too many things can go wrong if the author doesn't update it enough, though I understand that the author in this case - Subassman - did polish the module quite a bit and was even a professional game designer at one point in his life. But I just didn't want to chance putting 200 hours into a game only to possibly have it all come crashing down.
 

Lacrymas

Arcane
Joined
Sep 23, 2015
Messages
18,001
Pathfinder: Wrath
Ah, the "System Shock" school of design :p Where you could fuck up your entire playthrough 30 hours in because you didn't pick a necessary skill. I really haven't put in any effort towards playing either of them, so I can't comment on bugginess.
 

SCO

Arcane
In My Safe Space
Joined
Feb 3, 2009
Messages
16,320
Shadorwun: Hong Kong
Made a nwn lonix mod launcher thing.

Works by setting up a overlay filesystem that can replace original files (or add new ones) by 'read only' mod versions. Mods can replace original game files, but the replacements will be read only. Writes on new or original files will still happen on the game dir. Advantage is that you can quarantine modfiles, upgrade or delete them and test combinations easily without fucking the game. Disadvantages are some potential for wasted space if you insist on mod modularity (due to replicated mod dependency files, although this is not obligatory by any means, you can still dump things in a single nwn-like tree or extract the dependency) and a utter and total lack of any mod-order or dependency resolution expert system like mlox (it's also not a very big deal in NWN for the obvious reason that mods are boringly selfcontained).

I should make it work with the linux version of NWN and not only the windows one. Oh well, if someone wants that it's easy.

Code:
#!/bin/bash

#The MIT License (MIT)
#
#Copyright (c) 2016
#
#Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:
#
#The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
#
#THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.


hash zenity 2>/dev/null || { echo >&2 "Program requires zenity but it's not installed. Aborting."; exit 1; }
hash unionfs-fuse 2>/dev/null || { echo >&2 "Program requires unionfs-fuse but it's not installed. Aborting."; exit 1; }
hash wine 2>/dev/null || { echo >&2 "Program requires wine but it's not installed. Aborting."; exit 1; }
hash fusermount 2>/dev/null || { echo >&2 "Program requires fusermount but it's not installed. Aborting."; exit 1; }

MOD_DIR="./mods"
GAME_DIR="./NWN"
MOUNT_DIR="./game_mount"

PREFIXES="$HOME/.local/share/wineprefixes"
mkdir -p "$PREFIXES"
export WINEARCH=win32
export WINEPREFIX="$PREFIXES/Neverwinter Nights"

#cd to the script dir if executed from outside
GAME_PATH=$(dirname "$(readlink -f "$0")")
cd "$GAME_PATH"


containsElement () {
  local e
  for e in "${@:2}"; do [[ "$e" == "$1" ]] && return 0; done
  return 1
}


#most arrays will use \0 as seperator (illegal filename)
IFS=$'\0'

#saved history (SEL array variable)
source "$MOD_DIR/selection_dat"

PMODS=()
while read -r -d $'\0'; do
   x=$(basename "$REPLY")
   if containsElement "$x" "${SEL[@]}" ; then
     PMODS+=("TRUE")
   else
     PMODS+=("FALSE")
   fi
   PMODS+=("$x")
#find all directories in the mod dir and put them in a array \0 seperated (-print0 adds one at the end so offbyone)
done < <(find "$MOD_DIR" -mindepth 1 -maxdepth 1 -type d -print0 )

if [ ${#PMODS[@]} -eq 0 ]; then
   zenity --error --text "No mods detected, you need to extract them to seperate dirs in the \'$MOD_DIR\' dir"
   if [ ! -d "$MOD_DIR" ]; then
     mkdir "$MOD_DIR"
   fi
   exit 1
fi

if [ ! -d "$MOUNT_DIR" ]; then
   mkdir "$MOUNT_DIR"
fi


#Zenity has no concept of arrays. Bash splits the array into individual arguments before passing ('\0' cant be the separator)
selection=$(zenity --height=500 --width=400 --list --checklist --column "On" --column "Name" --title "Select mods before starting" --text="Select active mods.\nDependencies or conflicts are not checked here." "${PMODS[@]}" --separator='/' )

#user didn't cancel (pressed ok)
if [ $? -eq 0 ]; then
   #therefore we need to transform the string back to array
   SEL=()
   while read -r -d $'/'; do
     SEL+=("$REPLY")
   done <<<"$selection/"
   #save selection for next run
   typeset -p SEL > "$MOD_DIR/selection_dat"

   #mount everything read only except the game dir (things are saved there as usual)
   mount_points="$GAME_DIR=RW"
   for mod in "${SEL[@]}"; do
     #mods dirs and files don't need to write
     mount_points="$MOD_DIR/$mod=RO:$mount_points"
   done

   #create userspace unionfs (requires unionfs-fuse and fusermount)
   fusermount -q -u "$MOUNT_DIR"
   #copy on write is needed due to a bug (it's on the manpage known issues)
   #"there is no support for read-only branches when copy-on-write is disabled"
   #we could just as well had made another RW layer above to save modifications
   #there instead of the game folder
   unionfs-fuse -ocow "$mount_points" "$MOUNT_DIR"
   cd "$MOUNT_DIR"
   #start game, wait for it to end and unmount
   wine nwmain.exe
   cd ..
   #game ended back to normal
   fusermount -u "$MOUNT_DIR"
fi

unset IFS

adapt the dir constants to NWN, mod dir and mountpoint locations. It was too unusuable to make a GUI for that in zenity, maybe i should switch to Yad.
 
Last edited:

SCO

Arcane
In My Safe Space
Joined
Feb 3, 2009
Messages
16,320
Shadorwun: Hong Kong


I don't need to say how this applies to that performance abomination do i?

When i bother to think about it, i'm often more impressed by the Infinity Engine because at least they knew how to make a 2d engine and the modders managed to make a mod patching tool that actually allowed modularity (ehe) on the same campaign at the cost of being install time instead of runtime merging and a much more complex compatibility story.

Still, good work getting the illusion (?) of true 3d height with multiple levels on nwn.
 
Last edited:

purpleblob

Savant
Joined
May 16, 2014
Messages
564
Location
Sydney
I recently finished The Aielund Saga twice and now I'm having a go with Tales of Arterra. I really enjoyed The Aielund Saga and been told Tales of Arterra is just as good. Well... I'm finding it incredibly boring so far. I just recruited all 3 possible companions and will be heading to tombs to investigate evil uprising. Is this the point when things started to get more interesting?
 

Jack Of Owls

Arcane
Joined
May 23, 2014
Messages
4,326
Location
Massachusettes
There were several memorable things about TOA for me like how it handled ghosts. You'd just catch glimpses of them in the distance before they'd vanish. It was eerie and something I hadn't seen in the NWN engine up until then.
 

Proleric

Novice
Joined
Jul 27, 2016
Messages
10
Good luck with Kosigan.. it's buggy. A guy name Greg managed to get through the series, though. Maybe a few others, too. Bless them.
I'd still recommend Kosigan, because the story is one of the best, with a strong sense of being in a real medieval setting. Some bugs, yes, but fairly easy to work around. Still playing the last available part in English as it's huge and I have limited time these days.
 

eXalted

Arcane
Joined
Dec 16, 2014
Messages
1,213
I am in need of help. Somehow I want to replay A Dance with Rogues again...

I will really appreciate it if someone can recommend me a heavy role-playing module so that I don't play ADwR again :negative:

I think I will try the Fargus recommendation and try Vampire: Heaven Defied before that.

I completed Honor Among Thieves but all the characters and world felt somehow flat. The scripting and NPC/Guards reactions are superb, it is a module I strongly recommend but somehow it just didn't draw me into its world. ADwR, as cringeworthy it can be with its shitty dialogue sometimes and all the rapey stuff in there, has some really memorable moments and characters, and it's dialogues always gave you a lot of choices (although just illusionary in most cases, but it's the player agency that matters).

I've heard good things (bugs aside) for Bastard of Kosigan.

So yeah, spare me and recommend me a nice role-playing and characters focused module, please.
 

Fargus

Arcane
Joined
Apr 2, 2012
Messages
2,518
Location
Moscow
I've heard good things (bugs aside) for Bastard of Kosigan.

Exile of the West is the prequel to Bastard of Kosigan. Made by the same guy. It's one of my favorites actually.

I would recommend playing it first, it's definitely his best module. Lots of stat checks in dialogue, lots of roleplay, good plot, and the setting is historical medieval times but mixed with some fantasy.

And it has similar... content ADWR had. If you catch my drift.
 
Last edited:

Maggot

Arcane
Patron
Joined
Mar 31, 2016
Messages
1,243
Codex 2016 - The Age of Grimoire
Started playing Aielund Saga with a group of friends and I'm really digging it so far. Lots of opportunities for alignment shifts, good items, and class/race specific dialogue. Our current party is a wizard, paladin, and barbarian with the cleric henchwoman tacked on.
 

hell bovine

Arcane
Joined
Sep 9, 2013
Messages
2,711
Location
Secret Level
I am in need of help. Somehow I want to replay A Dance with Rogues again...

I will really appreciate it if someone can recommend me a heavy role-playing module so that I don't play ADwR again :negative:

I think I will try the Fargus recommendation and try Vampire: Heaven Defied before that.

I completed Honor Among Thieves but all the characters and world felt somehow flat. The scripting and NPC/Guards reactions are superb, it is a module I strongly recommend but somehow it just didn't draw me into its world. ADwR, as cringeworthy it can be with its shitty dialogue sometimes and all the rapey stuff in there, has some really memorable moments and characters, and it's dialogues always gave you a lot of choices (although just illusionary in most cases, but it's the player agency that matters).

I've heard good things (bugs aside) for Bastard of Kosigan.

So yeah, spare me and recommend me a nice role-playing and characters focused module, please.
Well, I've played Exile of the West and can recommend it; dark atmosphere, interesting setting. But I'm not willing to brave the bugs to try the rest of the series. Another dark-ish (or at least I remember it as such) mod with different rp opportunities I'd recommend is Runes of Blood.

You could also try Almraiven - but this one is quite different from the above. Not that much combat, you'll mostly be exploring, which is why I'd recommend a generalist wizard - spells are there to solve quests, and not blast your way through. Also has one of the creepiest quests I've ever encountered in a mod (loved it, btw).
 

eXalted

Arcane
Joined
Dec 16, 2014
Messages
1,213
Thanks for the recommendations.

Yes, modules with less combat are very welcome. Not a combatfag myself.
 

hell bovine

Arcane
Joined
Sep 9, 2013
Messages
2,711
Location
Secret Level
Thanks for the recommendations.

Yes, modules with less combat are very welcome. Not a combatfag myself.
Try Almraiven first. I'm biased because I prefer spellcasters to other classes, but in my opinion it is the best wizard mod out there. Makes you feel like you are playing one, and not a walking fireball dispenser.
 

Maggot

Arcane
Patron
Joined
Mar 31, 2016
Messages
1,243
Codex 2016 - The Age of Grimoire
I think I've hit a roadblock with my Aielund Saga MP campaign in part 2. The dwarf king's quest to kill the ice giant king doesn't appear and turning in the head to him doesn't do anything. It still just repeats the quest intro dialogue with him asking for help. Anyone else ever have this issue?
 

Inf0mercial

Augur
Joined
Jan 28, 2014
Messages
264
Finished Swordflight 2 starting on 3 all i have to take away form chapter 2 is fuck those arcane conjurers like really fuck them and all water elementals every single time i let my companions fight them they all got drowned instant KO.

The conjurers themselves hrrrrgghhhh fucking evard tentacles seriously being on the other side of that spell is traumatizing.
 
Self-Ejected

Lilura

RPG Codex Dragon Lady
Joined
Feb 13, 2013
Messages
5,274
I find Basilisk/Gorgon petrification and Greater Gelatinous Cubes to be scarey as hell, too. Also, Rust Monsters in Chapter 3.

Pro-tip: Insta-death such as elemental Drown is warded by Death Ward potions. They are easily overlooked because they are a non-standard or unvendored item in NWN.
 

Inf0mercial

Augur
Joined
Jan 28, 2014
Messages
264
I find Basilisk/Gorgon petrification and Greater Gelatinous Cubes to be scarey as hell, too. Also, Rust Monsters in Chapter 3.

Pro-tip: Insta-death such as elemental Drown is warded by Death Ward potions. They are easily overlooked because they are a non-standard or unvendored item in NWN.

I did not know that, hmmm eh cubes are annoying but you encounter them like three times? The first time you can kite it the second well i had immune to paralyses on my Pale Master so i stood in front of them with like 50 AC/50% conceal and laughed, Water elementals are fucking everywhere.

Oh one bit of the module i did not like, it actually really annoyed me was

the gobo fort the hallways were too small and path finding was shit for 3 companions you were like slow as shit in there with a strange slow walk effect at places its also where my fanatic hatred of arcane conjurers and water elementals really burned bright its so cramped and small that if the mage even gets one evard spell off you have to back the fuck up and simply wait it out as trying to advance through it it just a death sentence, then when you slog through all this shit and finally kill both leaders they port away do villainous laugh speech then slowly run away as my char sits there and does nothing.

It just really fucking dragged on and felt cheap at the end made me rage a tiny bit,
I don't even remember if you actually end up killing those guys i think you don't? I would have remembered that i am pretty sure.

Started part 3 health packs come in 10 packs holy fuck i am in heaven no more 10 minute buy sessions after each adventure anymore there is a god. Also the behavior for Zarala is way better then before simply hiding and buffing is actually the best choice you could make saves me XP ressing you.
 
Last edited:
Self-Ejected

Lilura

RPG Codex Dragon Lady
Joined
Feb 13, 2013
Messages
5,274
Yeah, sorry. I was talking about the cubes clogging up a few of the chambers in Chapter Three. No Freedom potion or equivalent ward = immobilization and death.

I didn't find the goblin fortress tedious at all. So yeah, opinions and assholes on that one. I like how the bugbears at the end weren't walk-overs, too.

what%2Bis%2Blove.jpg


Bulk buy on consumables should be mandatory, I agree.
 
Last edited:

Lacrymas

Arcane
Joined
Sep 23, 2015
Messages
18,001
Pathfinder: Wrath
I'm starting to get the NWN itch again, so I'll probably start playing Swordflight 2 properly now and I'm trying to figure out a build. There was a search engine/forum for people who came up with all kinds of builds, anyone remember what it was? I can't find it on google anymore, it may be down. It wasn't the old Bioware forums, which have been down for a very, very long time.

EDIT: Also, another question. Regarding the Dark Sun people - what are they trying to do, exactly? A persistent world? Assets that can be used for other modules? Making modules themselves? If they are trying to do a persistent world or modules, I might offer to compose custom music for them (for free, obviously).
 
Last edited:

groundhog

Educated
Joined
Dec 14, 2012
Messages
75
I'm starting to get the NWN itch again, so I'll probably start playing Swordflight 2 properly now and I'm trying to figure out a build. There was a search engine/forum for people who came up with all kinds of builds, anyone remember what it was? I can't find it on google anymore, it may be down. It wasn't the old Bioware forums, which have been down for a very, very long time.

I had a search through my old NWN bookmarks to see if I could find anything:

- I found references to "Epic Character Builds" and Pre-Epic Character Builds" but all the links were dead. However, further googling brought up this link, which may be useful:
http://nwnecbguild.forumer.com/

- I also found reference to a Character Build Calculator on the old nwvault, which you can find details of at:
https://neverwintervault.org/project/nwn1/other/tool/characterbuildcalculator-cbc

I've only played Neverwinter Nights (OC) and the two expansions, so my knowledge is pretty limited, but I hope the above is of some assistance.
 

Lacrymas

Arcane
Joined
Sep 23, 2015
Messages
18,001
Pathfinder: Wrath
groundhog, thanks a lot, I'll check that forum when I get back home. It wasn't that though, it was more like a search engine where you filtered builds depending on what classes/races you wanted. I had it bookmarked on my previous PC, and I haven't been able to find it since.
 

As an Amazon Associate, rpgcodex.net earns from qualifying purchases.
Back
Top Bottom